Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/23/2024 in all areas

  1. Lots of extra codes in that link to work around some of the problems as well. Maybe LeeMac's code will work for OP. If OP can't post the text, not much specific can be done IMHO.
    1 point
  2. @SLW210 Your comments above and the header reminded me of theSwamp "Show You Stuff" section: http://www.theswamp.org/index.php?topic=31584.0 @ElAmigo did you try downloading version 5.0c? See the link above and try it - perhaps they fixed this issue?
    1 point
  3. Your question has sparked some interest here, as Big Al asks, a few sample drawings and I am sure we can point you on your way or give you some code to use Last example for now, adding a legend to drawings (command line "BlkJW", all done via LISP):
    1 point
  4. because it's (car) https://help.autodesk.com/view/ACDLT/2024/ENU/?guid=GUID-2DD1AF33-415C-4C1A-9631-DA958134C53A get first one for the sample. you want to loop all attribute , like this below (repeat (length (setq alist (vlax-safearray->list (vlax-variant-value (vlax-invoke-method (vlax-ename->vla-object (car (entsel "\nSelect SHEET"))) 'GetAttributes))))) (setq 1a (car alist)) (princ (strcat "\n" (vlax-get-property 1a 'tagstring) " - " (vlax-get-property 1a 'textstring))) (setq alist (cdr alist)))(princ) you can paste this 1 line to the command prompt. and can test it.
    1 point
  5. The other way you can do it is by using nentselp. This allows you to access any entity within that block, no matter how nested they are. The catch is, you will need to click on the exact object within that block that you want to extract.
    1 point
  6. you can get list of attributes by add these 2 words (vlax-safearray->list (vlax-variant-value ~~~~~~~)) like this (vlax-safearray->list (vlax-variant-value (vlax-invoke-method (vlax-ename->vla-object (car (entsel "\nSelect SHEET"))) 'GetAttributes))) and dump it first one like this (vlax-dump-object (car (vlax-safearray->list (vlax-variant-value (vlax-invoke-method (vlax-ename->vla-object (car (entsel "\nSelect SHEET"))) 'GetAttributes)))))
    1 point
  7. We need a sample dwg or 2 -3 to make realistic comments. Like others have programs that draw objects like this house program but its like 100+ lisps so many different functions.
    1 point
  8. Do it like this: (defun c:lt nil (princ (strcat "LTSCALE set to " (rtos (setvar "ltscale" 4.25) 2))) (princ) )
    1 point
  9. Hi, My solution in lisp to select based on object data fields. But you also have an excellent plugin to install HERE Sel_By_OD.lsp
    1 point
  10. (defun c:XDTB_DWGCUT (/ dynpt e lastpnt myerr olderr pts ss ss1 tf) (defun _callback (dynpt) (xdrx_entity_move ss lastpnt dynpt) (setq lastpnt dynpt) ) (defun _move (ss) (setq lastpnt (trans (xd::geom:get9pt ss 5)1 0)) (xdrx_pointmonitor "_callback" ss) (initget 1) (getpoint (xdrx-string-multilanguage "\n插入点:""\nInsert Point:")) (xdrx_pointmonitor) ) (defun myerr (msg) (princ "\n*cancel") (xdrx_end) (vl-cmdf ".undo" 1) (setq *error* olderr) (princ) ) (xdrx_begin) (setq olderr *error*) (setq *error* myerr) (setq pts nil) (if (setq e (car (xdrx_entsel (xdrx-string-multilanguage "\n请拾取裁剪边界<退出>:""\nPlease pick the cropping boundary <Exit>:") '((0 . "lwpolyline,circle,ellipse,spline")) ) ) ) (progn (setq tf (xdrx-document-safezoom e)) (setq pts (xdrx_getsamplept e) ss (ssget "cp" (xd::pnts:wcs2ucs pts)) ) (if (setq ss1 (xdrx_geom_clipboundary ss e t t)) (progn (if tf (xdrx_document_zoomprevious) ) (ssadd e ss1) (_move ss1) ) ) ) ) (setq *error* olderr) (xdrx_end) (princ) ) [XDrX-PlugIn(83)] DWG cutting (theswamp.org) https://www.theswamp.org/index.php?topic=59019.0
    1 point
  11. This WAS my problem too and takes many times from me to be solved. I had about 4500 dwg files with shx font. They should be exploded all to be just lines. Text should explode too. One of txtexp problems is moving and scaling text and misplaces them to new position. my friends solve it for me (Thanks him ). Set insunits system variable to 0. Just do (setvar " insunits" 0) that’s all. I explain all of my work in GIS.jigsy.com .visiting it may help more
    1 point
×
×
  • Create New...